/**
 * Add problem matcher to scan the logs by specified regular expression patterns and automatically surface that information prominently in the user interface, both annotation and log decoration will create when a match is detected.
 *
 * For more information, please visit https://github.com/actions/toolkit/blob/main/docs/problem-matchers.md.
 * @param {...string} paths Path of the JSON problem matcher file.
 * @returns {void}
 */
export declare function addProblemMatcher(...paths: string[]): void;
/**
 * Remove problem matcher.
 *
 * For more information, please visit https://github.com/actions/toolkit/blob/main/docs/problem-matchers.md.
 * @param {...string} names Name of the problem matcher.
 * @returns {void}
 */
export declare function removeProblemMatcher(...names: string[]): void;
//# sourceMappingURL=problem_matcher.d.ts.map